Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.flow
Class SimpleStepWithResultSpec

    java.lang.Object
      org.apache.uima.flow.Step
          org.apache.uima.flow.SimpleStep
              org.apache.uima.flow.SimpleStepWithResultSpec

Deprecated. For backwards compatibility with Capability Language Flow only. User-developed Flow Controllers should not use this.

    public class SimpleStepWithResultSpec

extends SimpleStep

Special type of SimpleStep intended only for backwards compatibility with the behavior of the Capability Language Flow in UIMA 1.x. Allows the Flow Controller to set a Result Specification for the AE that will be called next.

Constructor Summary
`SimpleStepWithResultSpec(String aCasProcessorKey, ResultSpecification aResultSpec)` Deprecated.

Method Summary
`ResultSpecification` | `getResultSpecification()` Deprecated. Gets the key of the Analysis Engine to which the CAS should be routed.
`void` | `setResultSpecification(ResultSpecification aResultSpec)` Deprecated. Sets the key of the Analysis Engine to which the CAS should be routed.

Methods inherited from class org.apache.uima.flow.SimpleStep
`getAnalysisEngineKey, setAnalysisEngineKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleStepWithResultSpec

    public SimpleStepWithResultSpec(String aCasProcessorKey,
                                    ResultSpecification aResultSpec)

  Deprecated.
  Parameters:
    `casProcessorKey` -
    `currentAnalysisResultSpec` -

Method Detail

### getResultSpecification

    public ResultSpecification getResultSpecification()

  Deprecated.
  Gets the key of the Analysis Engine to which the CAS should be routed.

  Returns:
    an AnalysisEngine key

### setResultSpecification

    public void setResultSpecification(ResultSpecification aResultSpec)

  Deprecated.
  Sets the key of the Analysis Engine to which the CAS should be routed. By using this method, a user's Flow implementation can (but is not required to) reuse the same SimpleStep object multiple times.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.